import {WsApiAction, WsApiRequest, WsApiRequestHandler, WsApiResponse, WsApiRoute, WsApiRouteHandler} from '../types';

export const buildWsApiRouteHandler = <
    Action extends WsApiAction,
    Request extends WsApiRequest<Action>,
    Response extends WsApiResponse
>(
    route: WsApiRoute<Action, Request, Response>,
    requestHandler: WsApiRequestHandler<Action, Request, Response>,
): WsApiRouteHandler<Action, Request, Response> => {
  return {
    route,
    requestHandler,
  };
};
