import {WsApiRequestHandler} from './WsApiRequestHandler';
import {WsApiRoute} from './WsApiRoute';
import {WsApiAction, WsApiRequest, WsApiResponse} from './common';

export type WsApiRouteHandler<
    Action extends WsApiAction,
    Request extends WsApiRequest<Action>,
    Response extends WsApiResponse,
> = {
  route: WsApiRoute<Action, Request, Response>,
  requestHandler: WsApiRequestHandler<Action, Request, Response>
}


